Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 133094 - Indentation level is set to 2
Indentation level is set to 2
Status: VERIFIED FIXED
Product: editor
Classification: Unclassified
Component: Settings
6.x
All All
: P2 (vote)
: 6.x
Assigned To: issues@editor
issues@editor
61fixes1-fixed
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-17 12:14 UTC by Jiri Prox
Modified: 2008-06-04 08:36 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jiri Prox 2008-04-17 12:14:06 UTC
Product Version: NetBeans IDE 6.1 RC2 (Build 200804170002)
Java: 1.6.0_06; Java HotSpot(TM) Client VM 10.0-b22
System: Linux version 2.6.22-14-generic running on i386; UTF-8; en_US (nb)

Number of spaces per indent is set to 2 if user changes this setting. The new valued is take in an account after IDE
restart.

0) start ide with fresh userdir
1) change Number of spaces per indent to 6
2) reformat code
-> indentation level is 2, not 6 as specified on options dialog
3) restart IDE
-> indentation works correctly
Comment 1 Vitezslav Stejskal 2008-04-18 08:25:36 UTC
What language were you editing?
Comment 2 Jiri Prox 2008-04-18 08:58:51 UTC
java
Comment 3 Vitezslav Stejskal 2008-04-21 13:00:29 UTC
Reproducible in a dev build.
Comment 4 Jiri Prox 2008-04-21 13:07:43 UTC
This would be good candidate for patch1
Comment 5 Vitezslav Stejskal 2008-04-25 07:54:42 UTC
http://hg.netbeans.org/main/rev/462446adbbbe
Comment 6 Jiri Prox 2008-04-25 14:46:43 UTC
verified in trunk
Comment 7 Quality Engineering 2008-04-25 16:17:17 UTC
Integrated into 'main-golden', available in NB_Trunk_Production #157 build
Changeset: http://hg.netbeans.org/main/rev/462446adbbbe
User: Vita Stejskal <vstejskal@netbeans.org>
Log: #133094 (fixed): problems with spaces-per-tab setting
Comment 8 pgebauer 2008-04-27 22:15:47 UTC
The fix has been ported into the release61_fixes branch:

http://hg.netbeans.org/release61_fixes/rev/d475a3904f8a


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo